<template>
  <div>
    <carousel
      :perPage="3"
      :perPageCustom="[[0, 3],[900, 4]]"
      :paginationEnabled="false"
      :autoplay="true"
      :autoplayTimeout="3000"
      class="carouselB"
    >
      <slide v-for="badge in badges" :key="badge.id">
        <div class="badgeCompetence shadow-xl flex flex-col justify-around">
          <img
            :src="`${$options.API_HOST}/api/v1/badges/${badge.id}/image`"
            class="w-9/12 p-1 m-auto imgBadge badge"
            :class="{'grayscale' :!badge.enabled}"
          />
          <div class="description mb-3">{{ badge.name }}</div>
        </div>
      </slide>
    </carousel>
  </div>
</template>

<script>
import { Carousel, Slide } from "vue-carousel";
export default {
  API_HOST: process.env.API_HOST,
  components: {
    Carousel,
    Slide
  },
  props: ["badges"],
};
</script>

<style lang="postcss" scoped>

@import url("https://fonts.googleapis.com/css?family=Roboto&display=swap");
.carouselB {
  width: 100%;
  padding: 16px;
  background: linear-gradient(#660099, #8161ff);
}

.badgeCompetence {
  height: 150px;
  border-radius: 4px;
  margin: 10px;
  background-color: #fafafa;
}

.description {
  font-family: Roboto;
  font-weight: 550;
}

.grayscale {
  filter: grayscale(1);
  -webkit-filter: grayscale(1);
  -moz-filter: grayscale(1);
  -o-filter: grayscale(1);
  -ms-filter: grayscale(1);
}

@media (min-width: 530px) {
  .imgBadge {
    max-width: 105px;
  }
}

.grayscale {
  filter: grayscale(1);
  -webkit-filter: grayscale(1);
  -moz-filter: grayscale(1);
  -o-filter: grayscale(1);
  -ms-filter: grayscale(1);
}

.badges {
    width: auto;
}

</style>
